Loading...
Searching...
No Matches
BALL::Rescoring Class Reference

`#include <BALL/SCORING/FUNCTIONS/rescoring.h>`

Inheritance diagram for BALL::Rescoring:

## Classes

class | RescoreQSARData

## Public Member Functions

| Rescoring (AtomContainer &receptor, AtomContainer &reference_ligand, Options &options, String free_energy_label, ScoringFunction *sf)
virtual | ~Rescoring ()
void | addScoreContributions (Molecule *mol)
void | recalibrate ()
virtual double | rescore (Molecule *mol)
void | saveModel (String filename)
void | loadModel (String filename)
void | calculateQuality (double &correlation, double &q2, double &std_error)
const String & | getName ()

## Protected Member Functions

virtual void | generateScoreContributions_ (Molecule *, vector< vector< double > > *, vector< double > *)
void | setup_ ()

## Protected Attributes

ScoringFunction * | scoring_function_
RescoreQSARData | data_
QSAR::RegressionModel * | model_
String | free_energy_label_
String | ff_filename_
bool | convert_
bool | use_calibration_
vector< double > | predicted_affinities_
vector< double > | experimental_affinities_
bool | check_applicability_
String | name_
std::ofstream | stddev_out_

## Detailed Description

Definition at line 17 of file rescoring.h.

## Constructor & Destructor Documentation

## Rescoring()

BALL::Rescoring::Rescoring | ( | AtomContainer & | receptor,
|  | AtomContainer & | reference_ligand,
|  | Options & | options,
|  | String | free_energy_label,
|  | ScoringFunction * | sf )

## ~Rescoring()

virtual BALL::Rescoring::~Rescoring | ( |  | ) |

virtual

## Member Function Documentation

## addScoreContributions()

void BALL::Rescoring::addScoreContributions | ( | Molecule * | mol | ) |

add score and experimentally determined binding affinity for one molecule to training data set

## calculateQuality()

void BALL::Rescoring::calculateQuality | ( | double & | correlation,
|  | double & | q2,
|  | double & | std_error )

Calculated quality statistics for the rescoring that was done by all previous uses of rescore().

## generateScoreContributions_()

virtual void BALL::Rescoring::generateScoreContributions_ | ( | Molecule * | ,
|  | vector< vector< double > > * | ,
|  | vector< double > * | )

inline protected virtual

If the Rescoring-approach uses training and a QSAR-model, this function should be implemented in the derived class and should generate score-contributions for the given molecule and add them to 'matrix' or, if matrix == NULL, to 'v'. The default function of this base-class does nothing.

Definition at line 61 of file rescoring.h.

## getName()

const String & BALL::Rescoring::getName | ( |  | ) |

Return the name of the rescoring approach.

## loadModel()

void BALL::Rescoring::loadModel | ( | String | filename | ) |

If the derived class uses a QSAR-model, it can be loaded from a file by use of this method

## recalibrate()

void BALL::Rescoring::recalibrate | ( |  | ) |

train a model based on the data entered by use of addScoreContributions() for each molecule

## rescore()

virtual double BALL::Rescoring::rescore | ( | Molecule * | mol | ) |

virtual

Rescores the given molecule. Depending on the derived class, this method may or may not use a QSAR-Model. If you reimplement this method in a derived class, make sure to make it add the predicted and the experimentally determined affinity value to predicted_affinities_ resp. experimental_affinities_.

## saveModel()

void BALL::Rescoring::saveModel | ( | String | filename | ) |

If a QSAR-model was created, it can be saved to file by use of this method

## setup_()

void BALL::Rescoring::setup_ | ( |  | ) |

protected

## Member Data Documentation

## check_applicability_

bool BALL::Rescoring::check_applicability_

protected

Determines whether an applicability domain check should be done before rescoring each ligand. If the ligand is outside of the applicability domain, the score obtained by use of the scoring function will be returned without any model-based rescoring.

Definition at line 83 of file rescoring.h.

## convert_

bool BALL::Rescoring::convert_

protected

Definition at line 71 of file rescoring.h.

## data_

RescoreQSARData BALL::Rescoring::data_

protected

Definition at line 67 of file rescoring.h.

## experimental_affinities_

vector<double> BALL::Rescoring::experimental_affinities_

protected

vector containing one experimentally determined affinity value for each molecule that was rescored by use of rescore().

Definition at line 80 of file rescoring.h.

## ff_filename_

String BALL::Rescoring::ff_filename_

protected

Definition at line 70 of file rescoring.h.

## free_energy_label_

String BALL::Rescoring::free_energy_label_

protected

Definition at line 69 of file rescoring.h.

## model_

QSAR::RegressionModel* BALL::Rescoring::model_

protected

Definition at line 68 of file rescoring.h.

## name_

String BALL::Rescoring::name_

protected

the name of the rescoring approach

Definition at line 86 of file rescoring.h.

## predicted_affinities_

vector<double> BALL::Rescoring::predicted_affinities_

protected

vector containing one predicted affinity value for each molecule that was rescored by use of rescore().

Definition at line 77 of file rescoring.h.

## scoring_function_

ScoringFunction* BALL::Rescoring::scoring_function_

protected

Definition at line 65 of file rescoring.h.

## stddev_out_

std::ofstream BALL::Rescoring::stddev_out_

protected

Definition at line 88 of file rescoring.h.

## use_calibration_

bool BALL::Rescoring::use_calibration_

protected

determines whether the Rescoring approach uses training/calibration

Definition at line 74 of file rescoring.h.